---
title: "angleToMatchLengthY"
excerpt: "Returns the angle to match the given length for y."
layout: manual
---

Returns the angle to match the given length for y.



```js
angleToMatchLengthY(tag: TagIdentifier, to: number, sketch: Sketch) -> number
```


### Arguments

| Name | Type | Description | Required |
|----------|------|-------------|----------|
| `tag` | [`TagIdentifier`](/docs/kcl/types#tag-identifier) |  | Yes |
| `to` | `number` |  | Yes |
| `sketch` | [`Sketch`](/docs/kcl/types/Sketch) | A sketch is a collection of paths. | Yes |

### Returns

`number` 


### Examples

```js
sketch001 = startSketchOn('XZ')
  |> startProfileAt([0, 0], %)
  |> line(end = [1, 2], tag = $seg01)
  |> angledLine({
       angle = angleToMatchLengthY(seg01, 15, %),
       length = 5
     }, %)
  |> yLineTo(0, %)
  |> close()

extrusion = extrude(sketch001, length = 5)
```

![Rendered example of angleToMatchLengthY 0](data:image/png;base64,[encoded data, 76640 characters])


